Description

When we open the Page configuration option at the mapsheets plugin, after selecting the grid, the focus is on the mapsheets window,
and we can't activate the page configuration window.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2980: Mapsheets plugin a... Closed 11/07/2014

Associated revisions
Revision 397 - 06/01/2015 04:39 PM - Cesar Martinez Izquierdo

Create the FConfigLayoutDialog using ToolsSwing WindowManager to be able to create it as Modal or non-modal. Fixes: #3491. Correctly store the
paper size. Fixes: #3539.

History
#1 - 05/25/2015 04:15 PM - Álvaro Anguix
- Related to gvSIG bugs #2980: Mapsheets plugin and the new layout  added

#2 - 05/27/2015 01:04 PM - Cesar Martinez Izquierdo

El problema es que el diálogo de configuración de página del layout se cambió a ventana no-modal. Aquí hay un problema de fondo, que es la mezcla
de diálogos modales y no-modales en gvSIG, que dificulta la reutilización de interfaces. Si se llama a un diálogo modal a otro no-modal, el diálogo
modal permanece encima y por tanto no se puede acceder al nuevo diálogo (que es lo que está pasando en este caso).

En este caso particular, el diálogo de configuración de página se cambió a no-modal porque desde este diálogo se deseaba poder abrir el diálogo de
configuración de vista, que también es no-modal. Creo que la mejor solución sería cambiar a no-modal el diálogo de configuración del mapsheet.

Y como solución más general, deberíamos tener un mecanismo para que se pueda forzar que un diálogo se abra como modal o como no-modal. Pero
no es algo sencillo porque para soportarlo hay que cambiar la lógica de las clases que actualmente llaman a diálogos modales, para que funcionen
con listeners  en vez de confiar en que la ventana bloqueará el flujo de ejecución (que es lo que pasa con los diálogos modales).

#3 - 05/27/2015 01:11 PM - Álvaro Anguix

ok, si piensas que puede ser no-modal, adelante.
#4 - 05/29/2015 01:28 PM - Álvaro Anguix
- Assignee set to Cesar Martinez Izquierdo

#5 - 06/01/2015 04:57 PM - Cesar Martinez Izquierdo
- Status changed from New to Fixed

#6 - 06/02/2015 01:31 PM - Álvaro Anguix
- Target version set to 2.2.0-2313-final (rev. org.gvsig.desktop-2.0.100)
- Status changed from Fixed to Closed
